package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Finwar;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.Map;
import java.util.List;

@Mapper
public interface FinwarMapper {

    int insert(Finwar record);

    int insertSelective(Finwar record);

    int updateByPrimaryKeySelective(Finwar record);

    int updateByPrimaryKey(Finwar record);

    int deleteByPrimaryKey(Finwar record);

    int deleteByIds(Collection<Object> collection);

    Finwar selectByPrimaryKey(Finwar record);

    Finwar selectByObjtypObjinr(@Param("objtyp") String objtyp, @Param("objinr") String objinr);

    int dyncDelete(Map<String, Object> dyncMap);

    List<Finwar> dyncRead(Map<String, Object> dyncMap);

}